<template>
  <div v-loading.fullscreen="loading" class="app-container">
    <app-header />
    <div class="app-body d-flex">
      <app-navigation />
      <div class="page-container flex-grow-1">
        <Nuxt />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import { mapState } from 'vuex'
import AppNavigation from '@/components/app/AppNavigation.vue'
import AppHeader from '~/components/app/AppHeader.vue'

export default Vue.extend({
  name: 'DefaultLayout',
  components: {
    AppNavigation,
    AppHeader,
  },
  computed: {
    ...mapState('common', ['loading']),
  },
})
</script>
